#include <iostream>
#include "BinTreeIOint.hh"

// p2++ -o a.x equilib.cc BinTreeIOint.cc

/*
Un árbol binario es equilibrado si es vacío, o si sus dos hijos son equilibrados 
y el valor absoluto de la diferencia entre sus alturas es menor o igual que 1.
*/

int altura(const BinTree<int>& a) {
/* Pre: cierto */
/* Post: El resultado es la longitud del camino más 
largo desde la raíz a una de las hojas de a. */
  int h; 
  if (a.empty()) h = 0;
  else {
     int h1 = altura(a.left());
     /* HI: El resultado es la longitud del camino más 
     largo desde la raíz a una de las hojas de a.left(). */
     int h2 = altura(a.right());
     /* HI: El resultado es la longitud del camino más 
     largo desde la raíz a una de las hojas de a.right(). */
     h = max(h1,h2) + 1; 
  }
  return h;
}


bool equil(const BinTree<int>& a) {
/* Pre: cierto */
/* Post: El resultado indica si a es equilibrado. */
/* Coste: cuadrático en n, i.e. O(n^2), donde n es el número de nodos de a. */
  bool r; 
  if (a.empty()) r = true;
  else {
     int h1 = altura(a.left());
     int h2 = altura(a.right());
     if (abs(h1 - h2) > 1) r = false;
     else {
        r = equil(a.left());
	/* HI: r indica si a.left() es equilibrado. */
        if (r) r = equil(a.right());
        /* HI: r indica si a.right() es equilibrado. */	
     }
  }
  return r;
}


int main() {
  BinTree<int> a = read();
  cout << endl << "a: "; 
  write(a);
  if (equil(a)) cout << endl << "equilibrado" << endl;
  else cout << endl << "no equilibrado" << endl;
}
