#include <iostream> 
using namespace std; 


// Inmersión por datos: vamos calculando y pasando dos valores
// consecutivos fi1 y fi de la sucesión de Fibonacci como parámetros a
// la siguiente llamada recursiva. Se usa un parámetro adicional para
// saber qué términos de la sucesión hemos calculado previamente.

// La llamada a fib(n) produce n llamadas a id_fib(n,1,0,1),
// incuyedo las llamadas recursivas. En cada llamada a id_fib(n,1,0,1) 
// se realiza un número constante de instrucciones básicas. Por tanto, 
// este algoritmo es lineal en n.

// id_fib es una función recursiva lineal final con postcondición
// constante. Por tanto, se puede transformar automáticamente en
// una función iterativa (ver fib_iter.cc). 
int id_fib(int n, int i, int fi1, int fi) { 
/* Pre: 0 < i <= n, fi1 y fi son los términos i-1 e i de la sucesión de Fibonacci */
/* Post: el resultado es el término n-ésimo de la sucesión de Fibonacci */
/* Coste: O(n) */  
  int r;
  if (n == i) r = fi;
  else {
     r = id_fib(n,i+1,fi,fi1+fi);
     /* HI: r es el término n-ésimo de la sucesión de Fibonacci */
  }
  return r; 
}


int fib(int n) {
/* Pre: n >= 0 */
/* Post: el resultado es el término n-ésimo de la sucesión de Fibonacci */
  int r; 
  if (n == 0) r = 0; 
  else r = id_fib(n,1,0,1);
  return r;
}


int main() {
  int x; 
  cin >> x; 
  cout << fib(x) << endl; 
}
