#include <iostream> 
using namespace std; 


// id_fib es una función recursiva lineal final con postcondición 
// constante. Se puede transformar automáticamente en fib_ite(n)

/*
int id_fib(int n, int i, int fi1, int fi) 
// Pre: 0 < i <= n, fi1 y fi son los términos 
//   i-1 e i de la sucesión de Fibonacci 
// Post: el resultado es el término n-ésimo de la sucesión de Fibonacci 
{ 
  int r;
  if (n == i) r = fi;
  else {
     r = id_fib(n,i+1,fi,fi1+fi);
     // HI: r es el término n-ésimo de la sucesión de Fibonacci 
  }
  return r; 
}
*/


int fibe(int n) {
/* Pre: n >= 0 */
/* Post: el resultado es el término n-ésimo de la sucesión de Fibonacci */
/* Coste: O(n) lineal en n. */
  int fi;
  if (n == 0) fi = 0;
  else { 
    int i = 1; 
    int fi1 = 0; 
    fi = 1;
    /* Inv: 0 < i <= n, fi1 y fi son los términos 
       i-1 e i de la sucesión de Fibonacci */
    // Coste de while sum_{i=1...n} O(1) = O(n)
    while (i != n) { 
       int aux = fi; // Coste cuerpo de while O(1)
       fi += fi1; 
       fi1 = aux;
       ++i;
    }
  }
  return fi;
}


int main() {
  int x; 
  cin >> x; 
  cout << fib(x) << endl; 
}
